<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>List Entable</title>
    </head>
    <body>
        <f:view>
            <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            <h1>Listing Entables</h1>
            <h:form>
                <h:commandLink action="#{entable.createSetup}" value="New Entable"/>
                <br>
                <a href="/mbcolfromdb/index.jsp">Back to index</a>
                <br>
                <h:outputText value="Item #{entable.firstItem + 1}..#{entable.lastItem} of #{entable.itemCount}"/>&nbsp;
                <h:commandLink action="#{entable.prev}" value="Previous #{entable.batchSize}" rendered="#{entable.firstItem >= entable.batchSize}"/>&nbsp;
                <h:commandLink action="#{entable.next}" value="Next #{entable.batchSize}" rendered="#{entable.lastItem + entable.batchSize <= entable.itemCount}"/>&nbsp;
                <h:commandLink action="#{entable.next}" value="Remaining #{entable.itemCount - entable.lastItem}"
                rendered="#{entable.lastItem < entable.itemCount && entable.lastItem + entable.batchSize > entable.itemCount}"/>
                <h:dataTable value='#{entable.entables}' var='item' border="1" cellpadding="2" cellspacing="0">
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Id"/>
                        </f:facet>
                        <h:commandLink action="#{entable.detailSetup}">
                            <f:param name="id" value="#{item.id}"/>
                            <h:outputText value="#{item.id}"/>
                        </h:commandLink>
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="と粮colname"/>
                        </f:facet>
                        <h:outputText value="#{item.と粮colname}"/>
                    </h:column>
                    <h:column>
                        <h:commandLink value="Destroy" action="#{entable.destroy}">
                            <f:param name="id" value="#{item.id}"/>
                        </h:commandLink>
                        <h:outputText value=" "/>
                        <h:commandLink value="Edit" action="#{entable.editSetup}">
                            <f:param name="id" value="#{item.id}"/>
                        </h:commandLink>
                    </h:column>
                </h:dataTable>
            </h:form>
        </f:view>
    </body>
</html>
