/*
 * Entable.java
 *
 * Created on 2006/07/17, 13:08
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package aaa.bbb;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author Administrator
 */
@Entity
@Table(name = "ENTABLE")
@NamedQueries( {@NamedQuery(name = "Entable.findById", query = "SELECT e FROM Entable e WHERE e.id = :id"), @NamedQuery(name = "Entable.findBycolname", query = "SELECT e FROM Entable e WHERE e.colname = :colname")})
public class Entable implements Serializable {

    @Id
    @Column(name = "ID", nullable = false)
    private BigInteger id;

    @Column(name = "COLNAME")
    private String colname;
    
    /** Creates a new instance of Entable */
    public Entable() {
    }

    public Entable(BigInteger id) {
        this.id = id;
    }

    public BigInteger getId() {
        return this.id;
    }

    public void setId(BigInteger id) {
        this.id = id;
    }

    public String getcolname() {
        return this.colname;
    }

    public void setcolname(String colname) {
        this.colname = colname;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Entable)) {
            return false;
        }
        Entable other = (Entable)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "aaa.bbb.Entable[id=" + id + "]";
    }
    
}
